Subject: bug#13626: closed (Re: bug#13626: 24.3.50; (Regression) `C-w' doesn't deactivate the mark when recording a keyboard macro)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Feb 2013 18:14:02 +0000

Your bug report

#13626: 24.3.50; (Regression) `C-w' doesn't deactivate the mark when recording a keyboard macro

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13626: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13626
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13626: 24.3.50; (Regression) `C-w' doesn't deactivate the mark when recording a keyboard macro
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Feb 2013 20:12:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 4 Feb 2013 17:12:57 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> >> I observe the below problem in [1], but not in [2].
> >>
> >> Recipe from "emacs -Q":
> >>   M-x tool-bar-mode RET F3 C-x h C-w
> >>
> >> The mark should be deactivated after `C-w', but it is not, and it is
> >> deactivated upon moving the point.
> >
> > I guess you meant "M-w", not "C-w".  The latter deletes the whole
> > buffer, so the region is empty and you cannot see the bug.
> 
> Yes, I meant "M-w".  Sorry.
> 
> > Should be fixed now.
> 
> Thank you.

Closing.

Subject: 24.3.50; (Regression) `C-w' doesn't deactivate the mark when recording a keyboard macro
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Mon, 4 Feb 2013 09:22:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I observe the below problem in [1], but not in [2].

Recipe from "emacs -Q":
  M-x tool-bar-mode RET F3 C-x h C-w

The mark should be deactivated after `C-w', but it is not, and it is
deactivated upon moving the point.  Nonsensical.

[1]
In GNU Emacs 24.3.50.1 (i386-mingw-nt5.2.3790)
 of 2013-02-01 on VBOX-W7
Bzr revision: 111655
[email-masked]
Windowing system distributor `Microsoft Corp.', version 5.2.3790
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/emacs/libs/libXpm-3.5.10/include -IC:/emacs/libs/libXpm-3.5.10/src
 -IC:/emacs/libs/libpng-dev_1.4.3-1_win32/include
 -IC:/emacs/libs/zlib-dev_1.2.5-2_win32/include
 -IC:/emacs/libs/giflib-4.1.4-1-lib/include
 -IC:/emacs/libs/jpeg-6b-4-lib/include
 -IC:/emacs/libs/tiff-3.8.2-1-lib/include
 -IC:/emacs/libs/libxml2-2.7.8-w32-bin/include/libxml2
 -IC:/emacs/libs/gnutls-3.1.5-w32/include
 -IC:/emacs/libs/libiconv-1.14-2-mingw32-dev/include'

[2]
In GNU Emacs 24.3.50.1 (i386-mingw-nt5.2.3790)
 of 2013-01-30 on ODIEONE
Bzr revision: 111631 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.2.3790
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'

-- 
Dani Moncayo